Skip to main content
GET
/
availability_timelines
Variant availability timeline
curl --request GET \
  --url https://app.supercycle.com/api/v1/availability_timelines \
  --header 'Authorization: Bearer <token>'
{
  "occupancy": {},
  "inventoryCount": 123,
  "futureAvailabilityInventoryCount": 123,
  "uncommitedInventoryCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_shopify_id
string
required

Shopify GraphQL ID numeric segment for the variant (same as storefront variant_shopify_id).

location_id
string

When the shop has locations enabled, filter items to this Shopify location ID.

delivery_method_type
enum<string>

Logistics profile used to pad unavailability (shipping or pick_up). Defaults to shipping.

Available options:
shipping,
pick_up

Response

Availability timeline for the variant

occupancy
object
required

Map of ISO date strings (YYYY-MM-DD) to the count of items available on that day.

inventoryCount
integer
required

Total items included in the timeline for this variant (after optional location filter).

futureAvailabilityInventoryCount
integer
required

Items not on an unbounded current rental (future availability scope).

uncommitedInventoryCount
integer
required

Items not on a current rental (uncommitted inventory).